package fr.lri.keller.td8;

import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.TextView;

public class TD8Activity extends AppCompatActivity {

    private int score = 0;
    private int level = 1;

    private TextView textViewScore;
    private TextView textViewLevel;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_td8);
        textViewScore = (TextView) findViewById(R.id.textViewScore);
        textViewLevel = (TextView) findViewById(R.id.textViewLevel);
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_td8, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }

    // Méthode lorsqu'on clique sur le bouton
    public void clickTheButton(View view) {
        score++;
        textViewScore.setText(""+score);
        if (score % 5 == 0) {
            level++;
            textViewLevel.setText(""+level);
        }
    }
}